Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.replacer
Class PatternMatchTableBasedCharReplacer

    java.lang.Object
      com.ejie.r01f.replacer.PatternMatchTableBasedCharReplacer

All Implemented Interfaces:
  CharSequenceReplacer

public class PatternMatchTableBasedCharReplacer
extends java.lang.Object
implements CharSequenceReplacer

Ejecuta la sustitución de en base a una tabla de traducción. Para ver si se tiene que realizar la sustitución o no, previamente se comprueba si el texto verifica una expresión regular...

Constructor Summary
`PatternMatchTableBasedCharReplacer()` Constructor vacio
`PatternMatchTableBasedCharReplacer(java.lang.String textFinderRegExp, java.util.Map translateTable, ReplaceEventListener eventListener)` Constructor

Method Summary
`java.lang.CharSequence` | `doReplace(java.util.Map context, java.lang.CharSequence charSeq)` Realiza el remplazado de texto

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PatternMatchTableBasedCharReplacer

    public PatternMatchTableBasedCharReplacer()

  Constructor vacio

### PatternMatchTableBasedCharReplacer

    public PatternMatchTableBasedCharReplacer(java.lang.String textFinderRegExp,
                                              java.util.Map translateTable,
                                              ReplaceEventListener eventListener)

  Constructor

Method Detail

### doReplace

    public java.lang.CharSequence doReplace(java.util.Map context,
                                            java.lang.CharSequence charSeq)

  Description copied from interface: `CharSequenceReplacer`
  Realiza el remplazado de texto

  Specified by:
    `doReplace` in interface `CharSequenceReplacer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD